Package com.google.android.exoplayer2.testutil

## Class ActionSchedule.PlayerRunnable

- java.lang.Object
- - com.google.android.exoplayer2.testutil.ActionSchedule.PlayerRunnable

- All Implemented Interfaces:
    `Runnable`
  Enclosing class:
    ActionSchedule

      public abstract static class ActionSchedule.PlayerRunnable
      extends Object
      implements Runnable

  Provides a wrapper for a `Runnable` which has access to the player. Can be used with `ActionSchedule.Builder.executeRunnable(Runnable)`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayerRunnable()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |
    `abstract void` | `run​(SimpleExoPlayer player)` | Executes Runnable with reference to player.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerRunnable

          public PlayerRunnable()

  - ### Method Detail

    - #### run

          public abstract void run​(SimpleExoPlayer player)

      Executes Runnable with reference to player.

    - #### run

          public final void run()

      Specified by:
        `run` in interface `Runnable`